/* ===== Custom Cursor ===== */

@media (pointer:fine){

body{
    cursor:none;
}

.custom-cursor,
.cursor-ring{
    position:fixed;
    left:0;
    top:0;
    pointer-events:none;
    border-radius:50%;
    transform:translate(-50%,-50%);
    z-index:10000000;
}

.custom-cursor{
    width:6px;
    height:6px;
    background:#3b82f6;
    box-shadow:0 0 20px rgba(59,130,246,.9);
}

.cursor-ring{
    width:30px;
    height:30px;
    border:2px solid rgba(59,130,246,.7);
    transition:
        width .2s,
        height .2s,
        border .2s;
}

body.cursor-hover .cursor-ring{
    width:40px;
    height:40px;
    border-color:#3b82f6;
}

body.cursor-hover .custom-cursor{
    transform:translate(-50%,-50%) scale(1.8);
}

}